ros-rolling-rclcpp-action (29.5.0-1noble) noble; urgency=high

  * Use std::recursive_mutex for action requests. (#2798 <https://github.com/ros2/rclcpp/issues/2798>)
  * Contributors: Tomoya Fujita

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 18 Apr 2025 05:00:00 -0000

ros-rolling-rclcpp-action (29.4.0-1noble) noble; urgency=high

  * Remove warning (#2790 <https://github.com/ros2/rclcpp/issues/2790>)
  * Harden rclcpp_action::convert(). (#2786 <https://github.com/ros2/rclcpp/issues/2786>)
  * Add new interfaces to enable introspection for action (#2743 <https://github.com/ros2/rclcpp/issues/2743>)
  * use maybe_unused attribute for the portability. (#2758 <https://github.com/ros2/rclcpp/issues/2758>)
  * fix: Expose timers used by rclcpp::Waitables (#2699 <https://github.com/ros2/rclcpp/issues/2699>)
  * Collect log messages from rcl, and reset. (#2720 <https://github.com/ros2/rclcpp/issues/2720>)
  * Contributors: Alejandro Hernández Cordero, Barry Xu, Janosch Machowinski, Tomoya Fujita

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 04 Apr 2025 05:00:00 -0000

ros-rolling-rclcpp-action (29.3.0-1noble) noble; urgency=high

  * Make ament_cmake a buildtool dependency (#2689 <https://github.com/ros2/rclcpp/issues/2689>)
  * Contributors: Nathan Wiebe Neufeldt

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 20 Dec 2024 06:00:00 -0000

ros-rolling-rclcpp-action (29.2.0-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 25 Nov 2024 06:00:00 -0000

ros-rolling-rclcpp-action (29.1.0-1noble) noble; urgency=high

  * Fix documentation typo in server_goal_handle.hpp (#2669 <https://github.com/ros2/rclcpp/issues/2669>)
  * Contributors: YR

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 20 Nov 2024 06:00:00 -0000

ros-rolling-rclcpp-action (29.0.0-1noble) noble; urgency=high

  * Increase the timeout for the cppcheck on rclcpp_action. (#2640 <https://github.com/ros2/rclcpp/issues/2640>)
  * add smart pointer macros definitions to action server and client base classes (#2631 <https://github.com/ros2/rclcpp/issues/2631>)
  * Contributors: Alberto Soragna, Chris Lalancette

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 03 Oct 2024 05:00:00 -0000

ros-rolling-rclcpp-action (28.3.3-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 29 Jul 2024 05:00:00 -0000

ros-rolling-rclcpp-action (28.3.2-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 24 Jul 2024 05:00:00 -0000

ros-rolling-rclcpp-action (28.3.1-1noble) noble; urgency=high

  * Fix typo in function doc (#2563 <https://github.com/ros2/rclcpp/issues/2563>)
  * Contributors: Christophe Bedard

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 25 Jun 2024 05:00:00 -0000

ros-rolling-rclcpp-action (28.3.0-1noble) noble; urgency=high

  * Add 'mimick' label to tests which use Mimick (#2516 <https://github.com/ros2/rclcpp/issues/2516>)
  * Contributors: Scott K Logan

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 17 Jun 2024 05:00:00 -0000

ros-rolling-rclcpp-action (28.2.0-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 26 Apr 2024 05:00:00 -0000

ros-rolling-rclcpp-action (28.1.0-1noble) noble; urgency=high

  * Remove references to index.ros.org. (#2504 <https://github.com/ros2/rclcpp/issues/2504>)
  * Contributors: Chris Lalancette

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 16 Apr 2024 05:00:00 -0000

ros-rolling-rclcpp-action (28.0.1-1noble) noble; urgency=high

  * Callback after cancel (#2281 <https://github.com/ros2/rclcpp/issues/2281>)
    * feat(Client): Added function to stop callbacks of a goal handle
    This function allows us to drop the handle in a locked context.
    If we do not do this within a lock, there will be a race condition between
    the deletion of the shared_ptr of the handle and the result / feedback
    callbacks.
    * fix: make Client goal handle recursive
    This fixes deadlocks due to release of goal handles in callbacks etc.
    * fix(ActionGoalClient): Fixed memory leak for nominal case
    This fixes a memory leak due to a self reference in the ClientGoalHandle.
    Note, this fix will only work, if the ClientGoalHandle ever receives
    a result callback.
    * doc: Updated documentation of rclcpp_action::Client::async_send_goal
    * docs: Made the async_send_goal documentation more explicit
    Co-authored-by: Janosch Machowinski <J.Machowinski@cellumation.com>
  * Remake of "fix: Fixed race condition in action server between is_ready and take" (#2495 <https://github.com/ros2/rclcpp/issues/2495>)
    Some background information: is_ready, take_data and execute data
    may be called from different threads in any order. The code in the old
    state expected them to be called in series, without interruption.
    This lead to multiple race conditions, as the state of the pimpl objects
    was altered by the three functions in a non thread safe way.
    Co-authored-by: Janosch Machowinski <mailto:j.machowinski@nospam.org>
  * update rclcpp::Waitable API to use references and const (#2467 <https://github.com/ros2/rclcpp/issues/2467>)
  * Contributors: William Woodall, jmachowinski

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 16 Apr 2024 05:00:00 -0000

ros-rolling-rclcpp-action (28.0.0-1noble) noble; urgency=high

  * Do not generate the exception when action service response timeout. (#2464 <https://github.com/ros2/rclcpp/issues/2464>)
    * Do not generate the exception when action service response timeout.
    * address review comment.
    ---------
  * Modify rclcpp_action::GoalUUID hashing algorithm (#2441 <https://github.com/ros2/rclcpp/issues/2441>)
    * Add unit tests for hashing rclcpp_action::GoalUUID's
    * Use the FNV-1a hash algorithm for Goal UUID
  * Various cleanups to deal with uncrustify 0.78. (#2439 <https://github.com/ros2/rclcpp/issues/2439>)
    These should also work with uncrustify 0.72.
  * Update quality declaration documents (#2427 <https://github.com/ros2/rclcpp/issues/2427>)
  * Contributors: Chris Lalancette, Christophe Bedard, Tomoya Fujita, mauropasse

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 28 Mar 2024 05:00:00 -0000

ros-rolling-rclcpp-action (27.0.0-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 07 Feb 2024 06:00:00 -0000

ros-rolling-rclcpp-action (26.0.0-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 24 Jan 2024 06:00:00 -0000

ros-rolling-rclcpp-action (25.0.0-1noble) noble; urgency=high

  * Switch to target_link_libraries. (#2374 <https://github.com/ros2/rclcpp/issues/2374>)
  * Contributors: Chris Lalancette

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 26 Dec 2023 06:00:00 -0000

ros-rolling-rclcpp-action (24.0.0-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 06 Nov 2023 06:00:00 -0000

ros-rolling-rclcpp-action (23.2.0-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 09 Oct 2023 05:00:00 -0000

ros-rolling-rclcpp-action (23.1.0-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 04 Oct 2023 05:00:00 -0000

ros-rolling-rclcpp-action (23.0.0-1noble) noble; urgency=high

  * Update API docs links in package READMEs (#2302 <https://github.com/ros2/rclcpp/issues/2302>)
  * fix(ClientGoalHandle): Made mutex recursive to prevent deadlocks (#2267 <https://github.com/ros2/rclcpp/issues/2267>)
  * Contributors: Christophe Bedard, jmachowinski

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 08 Sep 2023 05:00:00 -0000

ros-rolling-rclcpp-action (22.2.0-1noble) noble; urgency=high

  * Correct the position of a comment. (#2290 <https://github.com/ros2/rclcpp/issues/2290>)
  * Fix a typo in a comment. (#2283 <https://github.com/ros2/rclcpp/issues/2283>)
  * doc fix: call canceled only after goal state is in canceling. (#2266 <https://github.com/ros2/rclcpp/issues/2266>)
  * Contributors: Chris Lalancette, Jiaqi Li, Tomoya Fujita

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 07 Sep 2023 05:00:00 -0000

ros-rolling-rclcpp-action (22.1.0-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 21 Aug 2023 05:00:00 -0000

ros-rolling-rclcpp-action (22.0.0-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 11 Jul 2023 05:00:00 -0000

ros-rolling-rclcpp-action (21.3.0-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 12 Jun 2023 05:00:00 -0000

ros-rolling-rclcpp-action (21.2.0-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 07 Jun 2023 05:00:00 -0000

ros-rolling-rclcpp-action (21.1.1-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 11 May 2023 05:00:00 -0000

ros-rolling-rclcpp-action (21.1.0-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 27 Apr 2023 05:00:00 -0000

ros-rolling-rclcpp-action (21.0.0-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 18 Apr 2023 05:00:00 -0000

ros-rolling-rclcpp-action (20.0.0-1noble) noble; urgency=high

  * extract the result response before the callback is issued. (#2132 <https://github.com/ros2/rclcpp/issues/2132>)
  * Update all rclcpp packages to C++17. (#2121 <https://github.com/ros2/rclcpp/issues/2121>)
  * Fix the GoalUUID to_string representation (#1999 <https://github.com/ros2/rclcpp/issues/1999>)
  * Contributors: Chris Lalancette, Nathan Wiebe Neufeldt, Tomoya Fujita

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 13 Apr 2023 05:00:00 -0000

ros-rolling-rclcpp-action (19.3.0-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 01 Mar 2023 06:00:00 -0000

ros-rolling-rclcpp-action (19.2.0-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 24 Feb 2023 06:00:00 -0000

ros-rolling-rclcpp-action (19.1.0-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 14 Feb 2023 06:00:00 -0000

ros-rolling-rclcpp-action (19.0.0-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 30 Jan 2023 06:00:00 -0000

ros-rolling-rclcpp-action (18.0.0-1noble) noble; urgency=high

  * Explicitly set callback type (#2059 <https://github.com/ros2/rclcpp/issues/2059>)
  * Update maintainers (#2043 <https://github.com/ros2/rclcpp/issues/2043>)
  * Contributors: Audrow Nash, mauropasse

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 29 Dec 2022 06:00:00 -0000

ros-rolling-rclcpp-action (17.1.0-1noble) noble; urgency=high

  * Do not clear entities callbacks on destruction (#2002 <https://github.com/ros2/rclcpp/issues/2002>)
  * Contributors: mauropasse

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 02 Nov 2022 05:00:00 -0000

ros-rolling-rclcpp-action (17.0.0-1noble) noble; urgency=high

  * Revert "Introduce executors new spin_for method, replace spin_until_future_complete with spin_until_complete. (#1821 <https://github.com/ros2/rclcpp/issues/1821>) (#1874 <https://github.com/ros2/rclcpp/issues/1874>)" (#1956 <https://github.com/ros2/rclcpp/issues/1956>)
  * Introduce executors new spin_for method, replace spin_until_future_complete with spin_until_complete. (#1821 <https://github.com/ros2/rclcpp/issues/1821>) (#1874 <https://github.com/ros2/rclcpp/issues/1874>)
  * Contributors: Hubert Liberacki, William Woodall

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 13 Sep 2022 05:00:00 -0000

ros-rolling-rclcpp-action (16.2.0-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 03 May 2022 05:00:00 -0000

ros-rolling-rclcpp-action (16.1.0-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 29 Apr 2022 05:00:00 -0000

ros-rolling-rclcpp-action (16.0.1-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 13 Apr 2022 05:00:00 -0000

ros-rolling-rclcpp-action (16.0.0-1noble) noble; urgency=high

  * remove things that were deprecated during galactic (#1913 <https://github.com/ros2/rclcpp/issues/1913>)
  * Contributors: William Woodall

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 08 Apr 2022 05:00:00 -0000

ros-rolling-rclcpp-action (15.4.0-1noble) noble; urgency=high

  * add take_data_by_entity_id API to waitable (#1892 <https://github.com/ros2/rclcpp/issues/1892>)
  * Contributors: Alberto Soragna

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 05 Apr 2022 05:00:00 -0000

ros-rolling-rclcpp-action (15.3.0-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 30 Mar 2022 05:00:00 -0000

ros-rolling-rclcpp-action (15.2.0-1noble) noble; urgency=high

  * Fix rosdoc2 issues (#1897 <https://github.com/ros2/rclcpp/issues/1897>)
  * Contributors: Chris Lalancette

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 24 Mar 2022 05:00:00 -0000

ros-rolling-rclcpp-action (15.1.0-1noble) noble; urgency=high

  * Add RMW listener APIs (#1579 <https://github.com/ros2/rclcpp/issues/1579>)
  * Install headers to include/${PROJECT_NAME} (#1888 <https://github.com/ros2/rclcpp/issues/1888>)
  * Contributors: Shane Loretz, iRobot ROS

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 01 Mar 2022 06:00:00 -0000

ros-rolling-rclcpp-action (15.0.0-1noble) noble; urgency=high

  * Fix include order and relative paths for cpplint (#1859 <https://github.com/ros2/rclcpp/issues/1859>)
  * Contributors: Jacob Perron

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 14 Jan 2022 06:00:00 -0000

ros-rolling-rclcpp-action (14.1.0-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 05 Jan 2022 06:00:00 -0000

ros-rolling-rclcpp-action (14.0.0-1noble) noble; urgency=high

  * Fixes for uncrustify 0.72 (#1844 <https://github.com/ros2/rclcpp/issues/1844>)
  * Use rclcpp::guard_condition (#1612 <https://github.com/ros2/rclcpp/issues/1612>)
  * Remove author by request (#1818 <https://github.com/ros2/rclcpp/issues/1818>)
  * Update maintainers (#1817 <https://github.com/ros2/rclcpp/issues/1817>)
  * Suppress clang dead-store warnings in the benchmarks. (#1802 <https://github.com/ros2/rclcpp/issues/1802>)
  * Contributors: Chris Lalancette, Jacob Perron, mauropasse

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 17 Dec 2021 06:00:00 -0000

ros-rolling-rclcpp-action (13.1.0-1noble) noble; urgency=high

  * Deprecate the void shared_ptr<MessageT> subscription callback signatures (#1713 <https://github.com/ros2/rclcpp/issues/1713>)
  * Contributors: Abrar Rahman Protyasha, Tomoya Fujita

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 18 Oct 2021 05:00:00 -0000

ros-rolling-rclcpp-action (13.0.0-1noble) noble; urgency=high

  * Use rcpputils/scope_exit.hpp and remove rclcpp/scope_exit.hpp. (#1727 <https://github.com/ros2/rclcpp/issues/1727>)
  * Contributors: Christophe Bedard

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 23 Aug 2021 05:00:00 -0000

ros-rolling-rclcpp-action (12.0.0-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 26 Jul 2021 05:00:00 -0000

ros-rolling-rclcpp-action (11.2.0-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 21 Jul 2021 05:00:00 -0000

ros-rolling-rclcpp-action (11.1.0-1noble) noble; urgency=high

  * Fixed occasionally missing goal result caused by race condition (#1677 <https://github.com/ros2/rclcpp/issues/1677>)
  * Contributors: Kaven Yau

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 13 Jul 2021 05:00:00 -0000

ros-rolling-rclcpp-action (11.0.0-1noble) noble; urgency=high

  * Bump the benchmark timeout for benchmark_action_client (#1671 <https://github.com/ros2/rclcpp/issues/1671>)
  * Contributors: Scott K Logan

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 18 May 2021 05:00:00 -0000

ros-rolling-rclcpp-action (10.0.0-1noble) noble; urgency=high

  * Returns CancelResponse::REJECT while goal handle failed to transit to CANCELING state (#1641 <https://github.com/ros2/rclcpp/issues/1641>)
  * Fix action server deadlock issue that caused by other mutexes locked in CancelCallback (#1635 <https://github.com/ros2/rclcpp/issues/1635>)
  * Contributors: Kaven Yau

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 11 May 2021 05:00:00 -0000

ros-rolling-rclcpp-action (9.0.2-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 14 Apr 2021 05:00:00 -0000

ros-rolling-rclcpp-action (9.0.1-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 12 Apr 2021 05:00:00 -0000

ros-rolling-rclcpp-action (9.0.0-1noble) noble; urgency=high

  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#1615 <https://github.com/ros2/rclcpp/issues/1615>)
  * Contributors: shonigmann

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 06 Apr 2021 05:00:00 -0000

ros-rolling-rclcpp-action (8.2.0-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 31 Mar 2021 05:00:00 -0000

ros-rolling-rclcpp-action (8.1.0-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 25 Mar 2021 05:00:00 -0000

ros-rolling-rclcpp-action (8.0.0-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 23 Mar 2021 05:00:00 -0000

ros-rolling-rclcpp-action (7.0.1-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 22 Mar 2021 05:00:00 -0000

ros-rolling-rclcpp-action (7.0.0-1noble) noble; urgency=high

  * Add support for rmw_connextdds (#1574 <https://github.com/ros2/rclcpp/issues/1574>)
  * node_handle must be destroyed after client_handle to prevent memory leak (#1562 <https://github.com/ros2/rclcpp/issues/1562>)
  * Contributors: Andrea Sorbini, Tomoya Fujita

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 18 Mar 2021 05:00:00 -0000

ros-rolling-rclcpp-action (6.3.1-1noble) noble; urgency=high

  * Finalize rcl_handle to prevent leak (#1528 <https://github.com/ros2/rclcpp/issues/1528>) (#1529 <https://github.com/ros2/rclcpp/issues/1529>)
  * Fix #1526 <https://github.com/ros2/rclcpp/issues/1526>. (#1527 <https://github.com/ros2/rclcpp/issues/1527>)
  * Contributors: y-okumura-isp

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 08 Feb 2021 06:00:00 -0000

ros-rolling-rclcpp-action (6.3.0-1noble) noble; urgency=high

  * Fix action server deadlock (#1285 <https://github.com/ros2/rclcpp/issues/1285>) (#1313 <https://github.com/ros2/rclcpp/issues/1313>)
  * Contributors: Daisuke Sato

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 25 Jan 2021 06:00:00 -0000

ros-rolling-rclcpp-action (6.2.0-1noble) noble; urgency=high

  * Goal response callback compatibility shim with deprecation of old signature (#1495 <https://github.com/ros2/rclcpp/issues/1495>)
  * [rclcpp_action] Add warnings (#1405 <https://github.com/ros2/rclcpp/issues/1405>)
  * Contributors: Audrow Nash, Ivan Santiago Paunovic

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 08 Jan 2021 06:00:00 -0000

ros-rolling-rclcpp-action (6.1.0-1noble) noble; urgency=high

  * Update QDs to QL 1 (#1477 <https://github.com/ros2/rclcpp/issues/1477>)
  * Contributors: Stephen Brawner

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 10 Dec 2020 06:00:00 -0000

ros-rolling-rclcpp-action (6.0.0-1noble) noble; urgency=high

  * Add take_data to Waitable and data to AnyExecutable (#1241 <https://github.com/ros2/rclcpp/issues/1241>)
  * Fix test crashes on CentOS 7 (#1449 <https://github.com/ros2/rclcpp/issues/1449>)
  * Bump rclcpp packages to Quality Level 2 (#1445 <https://github.com/ros2/rclcpp/issues/1445>)
  * Add rclcpp_action action_server benchmarks (#1433 <https://github.com/ros2/rclcpp/issues/1433>)
  * Contributors: Audrow Nash, Chris Lalancette, Louise Poubel, brawner

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 18 Nov 2020 06:00:00 -0000

ros-rolling-rclcpp-action (5.1.0-1noble) noble; urgency=high

  * Benchmark rclcpp_action action_client (#1429 <https://github.com/ros2/rclcpp/issues/1429>)
  * Add missing locking to the rclcpp_action::ServerBase. (#1421 <https://github.com/ros2/rclcpp/issues/1421>)
  * Increase test timeouts of slow running tests with rmw_connext_cpp (#1400 <https://github.com/ros2/rclcpp/issues/1400>)
  * Update maintainers (#1384 <https://github.com/ros2/rclcpp/issues/1384>)
  * Increase coverage rclcpp_action to 95% (#1290 <https://github.com/ros2/rclcpp/issues/1290>)
  * Contributors: Chris Lalancette, Ivan Santiago Paunovic, brawner

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 02 Nov 2020 06:00:00 -0000

ros-rolling-rclcpp-action (5.0.0-1noble) noble; urgency=high

  * Pass goal handle to goal response callback instead of a future (#1311 <https://github.com/ros2/rclcpp/issues/1311>)
  * Remove deprecated client goal handle method for getting result (#1309 <https://github.com/ros2/rclcpp/issues/1309>)
  * Increase test timeout necessary for Connext (#1256 <https://github.com/ros2/rclcpp/issues/1256>)
  * Contributors: Dirk Thomas, Jacob Perron

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 18 Sep 2020 05:00:00 -0000

ros-rolling-rclcpp-action (4.0.0-1noble) noble; urgency=high

  * Bump to QD to level 3 and fixed links (#1158 <https://github.com/ros2/rclcpp/issues/1158>)
  * Contributors: Alejandro Hernández Cordero

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 09 Jul 2020 05:00:00 -0000

ros-rolling-rclcpp-action (3.0.0-1noble) noble; urgency=high

  * Add rcl_action_client_options when creating action client. (#1133 <https://github.com/ros2/rclcpp/issues/1133>)
  * Fix doxygen warnings (#1163 <https://github.com/ros2/rclcpp/issues/1163>)
  * Increase rclcpp_action test coverage (#1153 <https://github.com/ros2/rclcpp/issues/1153>)
  * Contributors: Alejandro Hernández Cordero, Michel Hidalgo, tomoya

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 18 Jun 2020 05:00:00 -0000

ros-rolling-rclcpp-action (2.0.0-1noble) noble; urgency=high

  * Added missing virtual destructors. (#1149 <https://github.com/ros2/rclcpp/issues/1149>)
  * Add Security Vulnerability Policy pointing to REP-2006. (#1130 <https://github.com/ros2/rclcpp/issues/1130>)
  * Contributors: Chris Lalancette, Ivan Santiago Paunovic

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 01 Jun 2020 05:00:00 -0000

ros-rolling-rclcpp-action (1.1.0-1noble) noble; urgency=high

  * Action client holds weak pointers to goal handles (#1122 <https://github.com/ros2/rclcpp/issues/1122>)
  * Deprecate ClientGoalHandle::async_result() (#1120 <https://github.com/ros2/rclcpp/issues/1120>)
  * Improve documentation (#1106 <https://github.com/ros2/rclcpp/issues/1106>)
  * Fixed rep links and added more details to dependencies in quality declaration (#1116 <https://github.com/ros2/rclcpp/issues/1116>)
  * Update quality declaration to reflect version 1.0 (#1115 <https://github.com/ros2/rclcpp/issues/1115>)
  * Contributors: Alejandro Hernández Cordero, Jacob Perron, Stephen Brawner

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 26 May 2020 05:00:00 -0000

ros-rolling-rclcpp-action (1.0.0-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 12 May 2020 05:00:00 -0000

ros-rolling-rclcpp-action (0.9.1-1noble) noble; urgency=high

  * Added Quality declaration: rclcpp, rclpp_action, rclcpp_components andrclcpp_lifecycle (#1100 <https://github.com/ros2/rclcpp/issues/1100>)
  * Contributors: Alejandro Hernández Cordero

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 08 May 2020 05:00:00 -0000

ros-rolling-rclcpp-action (0.9.0-1noble) noble; urgency=high

  * Increasing test coverage of rclcpp_action (#1043 <https://github.com/ros2/rclcpp/issues/1043>)
  * Export targets in addition to include directories / libraries (#1096 <https://github.com/ros2/rclcpp/issues/1096>)
  * Deprecate redundant namespaces (#1083 <https://github.com/ros2/rclcpp/issues/1083>)
  * Rename rosidl_generator_c namespace to rosidl_runtime_c (#1062 <https://github.com/ros2/rclcpp/issues/1062>)
  * Changed rosidl_generator_c/cpp to rosidl_runtime_c/cpp (#1014 <https://github.com/ros2/rclcpp/issues/1014>)
  * Fix unknown macro errors reported by cppcheck 1.90 (#1000 <https://github.com/ros2/rclcpp/issues/1000>)
  * Removed rosidl_generator_c dependency (#992 <https://github.com/ros2/rclcpp/issues/992>)
  * Fix typo in action client logger name (#937 <https://github.com/ros2/rclcpp/issues/937>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas, Jacob Perron, Stephen Brawner, William Woodall

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 29 Apr 2020 05:00:00 -0000

ros-rolling-rclcpp-action (0.8.3-1noble) noble; urgency=high

  * issue-919 Fixed "memory leak" in action clients (#920 <https://github.com/ros2/rclcpp/issues/920>)
  * Contributors: astere-cpr

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 19 Nov 2019 06:00:00 -0000

ros-rolling-rclcpp-action (0.8.2-1noble) noble; urgency=high

  * Increased a timeout for the ``test_client`` tests. (#917 <https://github.com/ros2/rclcpp/issues/917>)
  * Contributors: Michel Hidalgo

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 18 Nov 2019 06:00:00 -0000

ros-rolling-rclcpp-action (0.8.1-1noble) noble; urgency=high

  * Template node type for rclcpp action server and clients (#892 <https://github.com/ros2/rclcpp/issues/892>)
  * Trait tests for generated actions (#853 <https://github.com/ros2/rclcpp/issues/853>)
  * Do not throw exception in action client if take fails (#888 <https://github.com/ros2/rclcpp/issues/888>)
  * Contributors: Jacob Perron, Michael Carroll, Steven Macenski

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 23 Oct 2019 05:00:00 -0000

ros-rolling-rclcpp-action (0.8.0-1noble) noble; urgency=high

  * Fix UnknownGoalHandle error string. (#856 <https://github.com/ros2/rclcpp/issues/856>)
  * Guard against making multiple result requests for a goal handle (#808 <https://github.com/ros2/rclcpp/issues/808>)
  * Add line break after first open paren in multiline function call (#785 <https://github.com/ros2/rclcpp/issues/785>)
  * Fix typo in test fixture tear down method name (#787 <https://github.com/ros2/rclcpp/issues/787>)
  * Contributors: Chris Lalancette, Dan Rose, Jacob Perron

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 26 Sep 2019 05:00:00 -0000

ros-rolling-rclcpp-action (0.7.5-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 30 May 2019 05:00:00 -0000

ros-rolling-rclcpp-action (0.7.4-1noble) noble; urgency=high

  * Guard against calling null goal response callback (#738 <https://github.com/ros2/rclcpp/issues/738>)
  * Contributors: Jacob Perron

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 29 May 2019 05:00:00 -0000

ros-rolling-rclcpp-action (0.7.3-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 20 May 2019 05:00:00 -0000

ros-rolling-rclcpp-action (0.7.2-1noble) noble; urgency=high

  * Added return code to CancelGoal service response. (#710 <https://github.com/ros2/rclcpp/issues/710>)
  * Contributors: Jacob Perron, William Woodall

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 08 May 2019 05:00:00 -0000

ros-rolling-rclcpp-action (0.7.1-1noble) noble; urgency=high

  * Added optional callbacks to action client for goal, response, and result. (#701 <https://github.com/ros2/rclcpp/issues/701>)
  * Added overload for node interfaces. (#700 <https://github.com/ros2/rclcpp/issues/700>)
  * Renamed action state transitions. (#677 <https://github.com/ros2/rclcpp/issues/677>)
  * Contributors: Jacob Perron, Karsten Knese

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 26 Apr 2019 05:00:00 -0000

ros-rolling-rclcpp-action (0.7.0-1noble) noble; urgency=high

  * Fixed hard-coded duration type representation so int64_t isn't assumed. (#648 <https://github.com/ros2/rclcpp/issues/648>)
  * Added documentation to rclcpp_action. (#650 <https://github.com/ros2/rclcpp/pull/650>)
  * Updated to use separated action types. (#601 <https://github.com/ros2/rclcpp/issues/601>)
  * Updated to wait for action server before sending goal. (#637 <https://github.com/ros2/rclcpp/issues/637>)
  * Refactored server goal handle's try_canceling() function. (#603 <https://github.com/ros2/rclcpp/issues/603>)
  * Contributors: Emerson Knapp, Jacob Perron, Michel Hidalgo, Shane Loretz

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 14 Apr 2019 05:00:00 -0000

ros-rolling-rclcpp-action (0.6.2-1noble) noble; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 13 Dec 2018 06:00:00 -0000

ros-rolling-rclcpp-action (0.6.1-1noble) noble; urgency=high

  * Added wait_for_action_server() for action clients (#598 <https://github.com/ros2/rclcpp/issues/598>)
  * Updated to adapt to action implicit changes (#602 <https://github.com/ros2/rclcpp/issues/602>)
  * Added rclcpp_action Server implementation (#593 <https://github.com/ros2/rclcpp/issues/593>)
  * Added action client implementation (#594 <https://github.com/ros2/rclcpp/issues/594>)
  * Added skeleton for Action Server and Client (#579 <https://github.com/ros2/rclcpp/issues/579>)
  * Contributors: Michel Hidalgo, Shane Loretz, William Woodall

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 07 Dec 2018 06:00:00 -0000


